Subject: DOS CLisp

From: Jakob Heinemann <[email-masked]>
Date: Mon, 28 Mar 94 13:53:15 +0200

Hello Clisp users!

I have a slight problem installing CLisp on my PC. When I have modified
and compiled my config.lsp file it can't be properly loaded. What I did
was this:

   c:\bin\clisp> lisp -M lispinit.mem
   clisp> (compile-file 'config.lsp)
   clisp> (load 'config)

And the result was
   
   ;; Loading file C:\BIN\CLISP\CONFIG.FAS ...
   *** - MAKE-PATHNAME: illegal :DIRECTORY argument (:ABSOLUTE ("BIN" . "")
   ("CLISP" . #<READ-LABEL 1>) :WILD)

   Break>

My config.lsp contains

   (defparameter *load-paths*
     '(#"C:"  
       #"C:\\bin\\CLISP\\...\\"
      )
   )

and the compiled sequence looks like this

   #Y(#:TOP-LEVEL-FORM-10 #16Y(00 00 00 00 00 01 D8 30 5B D9 DA 30 53 C4 19 01)
      (SPECIAL *LOAD-PATHS*) *LOAD-PATHS*
      (#S(PATHNAME :HOST NIL :DEVICE "C" :DIRECTORY (:RELATIVE) :NAME NIL
          :TYPE NIL :VERSION NIL
         )
       #S(PATHNAME :HOST NIL :DEVICE "C"
          :DIRECTORY (:ABSOLUTE ("BIN" . #1="") ("CLISP" . #1#) :WILD) :NAME NIL
          :TYPE NIL :VERSION NIL
     ))  )
  
It's not to difficult to get the things running, but it is irritating that I
have to manually manipulate the compiled file. The fix is to change the line

   ("BIN" . #1="") ("CLISP" . #1#) 
to
   ("BIN" . "") ("CLISP" . "") 

Where is the real error? In the loader or the compiler? Please let me know.

Since I haven't run clisp a long time I also wonder if there are some
nice file handling functions a'la interlisp comsvariables available. 
Is there a CLisp-package for Interlisp?

Does anybody now where I can get a proper Emacs-19 for DOS?

I read the messages about the XPP-prettyprinter and the answer about the
CLisp pprint-function. It was said that XPP was the described package in
Steele 2nd ed and that pprint will do the same job. Whats the difference 
between those packages and where can I get the doc of CLisp pprint? 

Please let me know the answers to these questions.
Thankfully 

/Jakob 
 [email-masked]
..